Skip to content
EN

获取语音模板

方法: GET路径: /higgsfield/tpl/voices

请求参数

Query 参数

text
size
integer
返回的模板数量
可选
示例:
14

Header 参数

text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
type
string
必需
properties
object
必需
size
object
必需
示例
{
"type"
:
"string"
,
"properties"
:
{
"size"
:
{
"type"
:
"string"
,
"description"
:
"string"
,
"default"
:
0
}
}
}

请求示例代码

Shell

bash
curl --location --request GET '/higgsfield/tpl/voices?size=14' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "string",
    "properties": {
        "size": {
            "type": "string",
            "description": "string",
            "default": 0
        }
    }
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
items
array
[object]
必需
id
string
可选
name
string
可选
gender
string
可选
age
string
可选
image_url
string
可选
categories
array
[string]
可选
voice_url
string
可选
waveform_url
string
可选
is_gpt
boolean
可选
total
integer
必需
cursor
integer
必需

示例

json
{
  "items": [
    {
      "id": "6pBuGbellIksHKibt0je2n",
      "name": "Marston",
      "gender": "male",
      "age": "middle age",
      "image_url": "https://d1xarpci4ikg0w.cloudfront.net/5503b4b2-6398-4542-ad31-9fa6edb96d7c.webp",
      "categories": ["reporter"],
      "voice_url": "https://dqv0cqkoy5oj7.cloudfront.net/voices_avatar/all/rTOopItG6FIkKMIVxsl5/2.wav",
      "waveform_url": "https://d1xarpci4ikg0w.cloudfront.net/0673abf6-53e1-4c22-a655-49c1a7d1be2f.json",
      "is_gpt": false
    }
  ],
  "total": 92,
  "cursor": 2
}